## update-manager 0.152.25

=== debian/changelog ===
update-manager (1:0.152.25) oneiric; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add workaround for a python-apt bug that causes the release
      upgrade to import the old version of "DistInfo" intead of the 
      one that is bundled with the release-upgrader (LP: #871007)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Oct 2011 13:15:29 +0200

update-manager (1:0.152.24) oneiric; urgency=low

  * AutoUpgradeTester/profile/eduubuntu/DistUpgrade.cfg:
    - Fix typo, renaming to edubuntu instead

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 08 Oct 2011 15:25:55 -0400

update-manager (1:0.152.23) oneiric; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - ensure that edubuntu-desktop really gets upgraded
  * AutoUpgradeTester/profile/eduubuntu/DistUpgrade.cfg:
    - update profile for edubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 08 Oct 2011 19:24:45 +0200

update-manager (1:0.152.22) oneiric; urgency=low

  * tests/test_update_origin.py, Janitor/computerjanitor/plugin.py:
    - fix tests
  * .bzr-builddeb/default.conf:
    - re-enable pre-build script to ensure we get a updated 
      base-installer, demotions and html Announcements

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Oct 2011 10:07:26 +0200

update-manager (1:0.152.21) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - increase the amd64 cache size to 48mb to workaround bug 
      LP: #854090 during the natty -> oneiric upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 21:26:10 +0200

update-manager (1:0.152.20) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - increase the default cache size on a multiarch system to
      avoid potential crash in natty apt (LP: #854090)
  * DistUpgrade/DistUpgradeController.py, UpdateManager/Core/utils.py:
    - do not leak password from sources.list entries into the logfile
      (LP: #839094)
  * UpdateManager/UpdateManager.py:
    - do not crash if a package can not be put into "install" state,
      instead, just keep the old (unmarked) state (LP: #850482)
  * UpdateManager/DistUpgradeFetcher.py:
    - fix crash for changed gtk2 -> gtk3 API (LP: #859862)
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - remove debug output (LP: #855495)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 16:09:55 +0200

update-manager (1:0.152.19) oneiric; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - do not use O_SYNC for the apt.log, its not important enough
      to justify the slowdown (LP: #852128)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Sep 2011 17:55:53 +0200

update-manager (1:0.152.18) oneiric; urgency=low

  [ Michael Vogt ]
  * debian/pycompat:
    - removed, no longer needed
  * debian/rules:
    - fix incorrect invocation of --with=python2
  
  [ Robert Roth ]
  * lp:~evfool/update-manager/handlewarning:
    - Only disconnect handler if it's still connected (LP: #133139)
  * lp:~evfool/update-manager/glibchangefix:
    - Call glib.markup_escape_text() correctly as per current 
      gir (don't pass in string length; LP: #832745)
  * lp:~evfool/update-manager/fixcopylink:
    - Fix the "Copy web link" context menu item of the ChangeLog viewer.
      It did not work before of some Gtk changes, now it does work. 
      Fixes LP: #831944.
  
  [ Stefano Rivera ]
  * extras is another special case where validTo=False (LP: #775694)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 11:47:10 +0200

update-manager (1:0.152.17) oneiric; urgency=low

  * debian/source-update_manager.py:  ask the reporter if their issue is
    regarding a distribution upgrade if so include log files (LP: #836846)

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Aug 2011 10:10:15 -0700

update-manager (1:0.152.16) oneiric; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - prepare text for the beta release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 17:52:58 +0200

update-manager (1:0.152.15) oneiric; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: 
    - properly add the tag 'dist-upgrade' to the bug report
  
  [ Michael Vogt ]
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - fix incorrect initialization
  * fix GLib.timeout_add_seconds() with the new GIR (LP: #829186)
  * call software-properties-gtk without gksu, that is no longer
    needed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2011 12:15:35 +0200

update-manager (1:0.152.14) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - enable multiarch on amd64 during the upgrade
    - add new "PreCacheOpen" hook and use it for the multiarch 
      enabling
  * DistUpgrade/DistUpgradeCache.py:
    - when checking for missing "priority: required" packages 
      ignore the foreign architecture ones

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Aug 2011 10:52:23 +0200

update-manager (1:0.152.13) oneiric; urgency=low

  [ Robert Roth ]
  * Fix link context menu in changelog viewer (LP: #824957)
  
  [ Michael Vogt ]
  * debian/control:
    - bump unity dependency to gir1.2-unity-4.0 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Aug 2011 17:45:51 +0200

update-manager (1:0.152.12) oneiric; urgency=low

  [ Michael Vogt ]
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - add NonInterative/AddRepoUpgradeImmediately option that allows
      installing test package *before* the test upgrade runs (useful
      for e.g. testing a new apt or dpkg)

  [ Robert Roth ]
  * Added default value to be able to start UpdateManager without 
    having gir-unity installed (LP: #823935)
  * Fixed changelog test with the new wording
  * Specify default -1 length for terminal response (LP: #817785)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 17:58:35 +0200

update-manager (1:0.152.11) oneiric; urgency=low

  * DistUpgrade/DistUpgradeViewGtk3.py:
    - use vte.for_command_full() instead of fork_command() as 


## update-manager 0.152.25.12

=== debian/changelog ===
update-manager (1:0.152.25.12) oneiric-security; urgency=low

  * SECURITY UPDATE: Incomplete fix for CVE-2012-0949 (LP: #1004503)
    - DistUpgrade/DistUpgradeApport.py: use a whitelist of files so we
      don't upload system_state archives.
    - tests/test_apport_crash.py: add test.
    - CVE-2012-0950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 31 May 2012 13:07:39 -0400

update-manager (1:0.152.25.11) oneiric-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 May 2012 08:24:51 -0400

update-manager (1:0.152.25.9) oneiric-proposed; urgency=low

  * In the apport package hook continue if unable to import gconf data
    (LP: #880704) 
  * In the apport package hook do not gzip the apt-clone attachment two times
    (LP: #973747)
  * check-new-release-gtk:
    - ensure to write a integer when calculating the next time that
      the release available window will be presented (LP: #873424)
    - hide redundant release-notes button (LP: #873432)
  * check-new-release-gtk:
    - write the time to check the new release to the update-notifier schema
      not the update-manager one (LP: #873424)

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Apr 2012 13:04:28 -0700

update-manager (1:0.152.25.8) oneiric-security; urgency=low

  * REGRESSION FIX:
    - DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
      return value handling. (LP: #933225)
  * This package does _not_ contain the changes from (1:0.152.25.6) and
    (1:0.152.25.7) in oneiric-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 15 Feb 2012 22:33:18 -0500

update-manager (1:0.152.25.5) oneiric-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Nov 2011 08:52:19 -0500

update-manager (1:0.152.25.4) oneiric-proposed; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - ensure that postgresql does not get removed (LP: #871893)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Oct 2011 09:52:08 +0200

update-manager (1:0.152.25.3) oneiric-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash when packages needs downgrading
  * UpdateManager/Core/utils.py:
    - do not crash if iptables does not exist, thanks to Daniel
      Holbach for reporting the issue (LP: #877514)
  * DistUpgrade/DistUpgradeQuirks.py:
    - keep poking the screensaver to ensure that it really won't
      activate during the upgrade (thanks to Jonathan Davies for
      the report)
  * tests/test_sources_list.py:
    - fix test (archive.ubuntu.com no longer listens to ftp)
  * po/*:
    - refresh again to fix regression (LP: #877461)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Oct 2011 17:06:40 +0200

update-manager (1:0.152.25.2) oneiric-proposed; urgency=low

  * refresh translation for the release-upgrader (LP: #873905)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Oct 2011 15:19:51 +0200

update-manager (1:0.152.25.1) oneiric-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - do not crash if apt-btrfs-snapshot fails to run (LP: #873411)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Oct 2011 17:29:34 +0200

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), 
               python-all-dev,
               python-distutils-extra (>= 1.90), 
               python-apt (>= 0.7.5),
               lsb-release,
               nvidia-common (>= 0.2.11) [i386 amd64], 
               apt-clone
Build-Depends-Indep: libxml-parser-perl, 
                     scrollkeeper, 
                     intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main

Package: update-manager-core
Architecture: any
Section: admin
Depends: ${python:Depends}, 
         ${misc:Depends}, 
         python-apt (>= 0.7.13.4ubuntu3),  
         lsb-release,  
         python-gnupginterface
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.146.2)
Breaks: update-manager (<< 1:0.146.2), 
        computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: update-manager
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, 
         update-manager-core (= ${source:Version}),
         python-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
         python-dbus,
         python-gobject (>= 2.28.6-2),
         gir1.2-vte-2.90, 
         gir1.2-gtk-3.0,
Recommends: software-properties-gtk (>= 0.71.2), 
            gir1.2-dbusmenu-gtk-0.4, 
            gir1.2-unity-4.0,
            gir1.2-webkit-3.0
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-text
Architecture: all
Section: admin
Depends: ${python:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python-newt
Description: Text application that manages apt updates
 This is the newt apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
Section: kde
Depends: ${python:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python-kde4, 
         kdesudo
Description: Support modules for KPackageKit
 Support modules for KPackageKit to check for new distro releases 
 and download the dist-upgrade tool.

Package: auto-upgrade-tester
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}
Recommends: qemu-kvm|kvm, 
            ubuntu-vm-builder
Suggests: default-jre-headless | java2-runtime-headless
Description: Test release upgrades in a virtual environment
 A tool to do QA for release upgrades in ubuntu that performs upgrades
 in a virtual environment. Supported backends are "chroot", "kvm" and
 "EC2". It will also install a hudson/jenkins slave (disabled by 
 default).

## update-manager 0.152.25.13

=== debian/changelog ===
update-manager (1:0.152.25.13) oneiric-proposed; urgency=low

  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Oct 2012 09:23:34 -0700

## update-manager 0.156.14

=== debian/changelog ===
update-manager (1:0.156.14) precise; urgency=low

  * debian/control:
    - fix description for update-manager-kde (LP: #984906),
      thanks to Scott Kitterman
  * DistUpgrade/DistUpgradeController.py:
    - do not set PYCENTRAL_NO_DPKG_QUERY (LP: #986233)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2012 18:26:27 +0200

update-manager (1:0.156.13) precise; urgency=low

  * Improve the error message used when a package cannot be located after
    updating, probably caused by an overloaded mirror. (LP: #873468)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 17 Apr 2012 16:02:54 -0400

update-manager (1:0.156.12) precise; urgency=low

  [ Colin Watson ]
  * data/gtkbuilder/UpgradePromptDialog.ui:
    - Remove has_separator property from dialog_really_do_not_upgrade
      (deprecated in GTK+ 2.22, removed in 3.0).
  * debian/control:
    - Restore gksu dependency, needed by e.g. check-new-release-gtk
      (LP: #980637).
  
  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - disconnect model and clear store before rebuilding the cache,
      thanks to Colin Watson
  * po/*.po:
    - updated to the latest launchpad (LP: #628157)
  * DistUpgrade/DistUpgradeController.py:
    - remove backports sources.list.d file again after its no
      longer needed (LP: #973717)
  * DistUpgrade/DistUpgradeController.py:
    - when checking for the backports, its enough to check is the
      set of the needed ones is a subset of the found ones (LP: #969182)
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - release-upgrader-libapt-pkg-dev is not needed for the upgrade
      itself
  * remove skype from the removal blacklist

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Apr 2012 21:27:54 +0200

update-manager (1:0.156.11) precise; urgency=low

  * DistUpgrade/DistUpgrade.cfg.lucid:
    - add in a missing backported package (LP: #969182)
  * DistUpgrade/Distupgrade.py:
    - workaround issue regarding removing selections, thanks to sampo555 for
      the patch (LP: #945536)
  * Automatic update of mirrors, demoted packages and of included source
    packages: base-installer

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Apr 2012 11:02:52 -0700

update-manager (1:0.156.10) precise; urgency=low

  [ Michael Vogt ]
  * UpdateManager/Core/MyCache.py:
    - do not attempt to download changelogs from https locations if
      the uri requires credentials, thanks to Pat McGowan

  [ Colin Watson ]
  * UpdateManager/Core/MyCache.py:
    - Check that pkg.candidate.uri is not None when looking for changelogs
      (LP: #839986).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2012 13:44:40 +0200

update-manager (1:0.156.9) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - support cdrom-only upgrades properly by using the backported
      libapt-{pkg,inst} and release-upgrader-python-apt from the CD
  * DistUpgrade/DistUpgrade.cfg:
    - update KernelRemoval/Version to match oneirics kernel
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - update KernelRemoval/Version to match lucids kernel
  * data/release-upgrades:
    - set releae upgrades default to "lts"
  * DistUpgrade/DistUpgradeCache.py:
    - when selecting a new default kernel from base-installer, ensure
      to install the matching kernel headers too if previously kernel
      headers were installed (LP: #959307)
  
  [ Brian Murray ]
  * debian/source_update-manager.py: pass if attach_gsettings fails like on a
    server

  [ Gabor Kelemen ]
  * lp:~kelemeng/update-manager/bug957552:
    - Mark two accessible descriptions for translation. LP: #957552
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Mar 2012 17:35:34 +0100

update-manager (1:0.156.8) precise; urgency=low

  [ Robert Roth ]
  * Update icon name to use FD.o standard (LP: #921310)
  
  [ Julien Lavergne ]
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/removal_blacklist.cfg,
    UpdateManager/Core/utils.py,
    AutoUpgradeTester/profile/lubuntu/DistUpgrade.cfg:
   - Add Lubuntu support, and don't upgrade gnome-components which have been
     removed from Lubuntu installation (LP: #945215)

  [ Barry Warsaw ]
  * Improve the warning issued when i8xx graphics hardware is
    detected. (LP: #941172)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg: 
    - blacklist gnome-session so that users can always login after a failed
      partial upgrade (LP: #946539)

  [ James Hunt ]
  * Only attempt to stop screensaver if DISPLAY set, and throw away
    xdg-screensaver output. (LP: #883618)

  [ Colin Watson ]
  * Use 'from dbus.mainloop.glib import DBusGMainLoop;
    DBusGMainLoop(set_as_default=True)' to set up the main loop, rather than
    importing the deprecated dbus.glib.
  
  [ Gabor Kelemen ]
  * Fix misplaced parentheses. LP: #952959

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 15:29:59 +0100

update-manager (1:0.156.7) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - fix nvidia detection, thanks to Brian Murray
  * DistUpgrade/xorg_fix_proprietary.py:
    - fix crash when apt_pkg is not initialized (LP: #942106)
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/mirrors.cfg:
    - support upgrades with commercial-ppas in the sources.list
      (LP: #939461) and add tests
  * UpdateManager/UpdateManager.py:
    - fix inaccurate string, thanks to JohnNapster (LP: #942590)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg: 
    - Only blacklist unity-2d, not all packages whose names start with
      unity-2d.  (LP: #940196)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 09:02:14 +0100

update-manager (1:0.156.6) precise; urgency=low

  [ Robert Roth ]  
  * lp:~evfool/update-manager/lp930177:
    - Add missing space (LP: #930177) 
  
  [ Michael Vogt ]
  * DistUpgrade/DevelReleaseAnnouncement:
    - change label from alpha to beta release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Feb 2012 16:44:50 +0100



## update-manager 0.156.14.5

=== debian/changelog ===
update-manager (1:0.156.14.5) precise-security; urgency=low

  * SECURITY UPDATE: Incomplete fix for CVE-2012-0949 (LP: #1004503)
    - DistUpgrade/DistUpgradeApport.py: use a whitelist of files so we
      don't upload system_state archives.
    - tests/test_apport_crash.py: add test.
    - CVE-2012-0950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 31 May 2012 13:05:04 -0400

update-manager (1:0.156.14.4) precise-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949
  * This package does _not_ contain the changes from (1:0.156.14.2) in
    precise-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 May 2012 08:13:39 -0400

update-manager (1:0.156.14.1) precise-proposed; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - add "LTS" to the name

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Apr 2012 13:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -35,13 +35,14 @@
 Depends: ${python:Depends}, ${misc:Depends}, 
          update-manager-core (= ${source:Version}),
          python-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
+         gksu,
          python-dbus,
          python-gobject (>= 2.28.6-2),
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
 Recommends: software-properties-gtk (>= 0.71.2), 
             gir1.2-dbusmenu-gtk-0.4, 
-            gir1.2-unity-4.0,
+            gir1.2-unity-5.0,
             gir1.2-webkit-3.0
 Description: GNOME application that manages apt updates
  This is the GNOME apt update manager. It checks for updates and lets the user
@@ -66,8 +67,8 @@
          update-manager-core, 
          python-kde4, 
          kdesudo
-Description: Support modules for KPackageKit
- Support modules for KPackageKit to check for new distro releases 
+Description: Support modules for Muon Notifier and Apper
+ Support modules for Muon Notifier and Apper to check for new distro releases 
  and download the dist-upgrade tool.
 
 Package: auto-upgrade-tester

## update-manager 0.156.14.11

=== debian/changelog ===
update-manager (1:0.156.14.11) precise-proposed; urgency=low

  * DistUpgradeApport.py: don't use a '/' as a key name in the apport report
    as this will cause an assertion error and prevent any attachments from
    being included (LP: #1060353)

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Oct 2012 16:02:53 -0700

update-manager (1:0.156.14.10) precise-proposed; urgency=low

  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Oct 2012 11:34:26 -0700

update-manager (1:0.156.14.9) precise-proposed; urgency=low

  * No change rebuild to pick up the fixed apt_clone.py

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Aug 2012 17:05:37 -0400

update-manager (1:0.156.14.8) precise-proposed; urgency=low

  * Fix removal_blacklist to blacklist "^screen$" instead of "screen".
    This fixes cases where the upgrade would fail because of a package
    containing "screen" being removed. (LP: #1029531)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 17:52:47 -0400

update-manager (1:0.156.14.7) precise-proposed; urgency=low

  * DistUpgrade/DistUpgradeMain.py: call clone.save_state with
    scrub_sources set so that VarLogDistUpgradeAptclonesystemstate will be
    included in bug reports again (LP: #1029046)
  * DistUpgrade/DistUpgradeApport.py: check errormsg for the English version of
    the dependency problems error first (LP: #999890)
    - add apt-clone_system_state.tar.gz to white list of files to upload
  * In the apport source package hook collect apt-clone information if the bug
    report is about a distribution upgrade (LP: #1029046)
  * Don't throw exception on socket timeout when downloading metarelease file
    (LP: #818760)

 -- Brian Murray <brian@ubuntu.com>  Thu, 26 Jul 2012 11:58:16 -0700

update-manager (1:0.156.14.6) precise-proposed; urgency=low

  * lp:~ember/update-manager/ubuntu.bug1002956:
    - fix missing ReleaseNotesViewerWebkit.py support, thanks to
      Pedro Fragoso (LP: #1002956)
  * DistUpgrade/DistUpgradeCache.py:
    - increase estimated kernel size slightly to match the precise
      kernels
  * fix automatic expand of the terminal if no activity happend
    for >300s (LP: #979661)
  * DistUpgrade/ReleaseAnnouncement:
    - add "LTS" to the version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Jun 2012 19:52:49 +0200

update-manager (1:0.156.14.2) precise-proposed; urgency=low

  * fix automatic expand of the terminal if no activity happend
    for >300s (LP: #993190)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 May 2012 11:46:09 -0700

## update-manager 0.156.14.18wataugafour60

=== debian/changelog ===
update-manager (1:0.156.14.18wataugafour60) precise; urgency=medium

  * change the final wording. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 17 Mar 2015 10:59:12 +0800

update-manager (1:0.156.14.18wataugafour59) precise; urgency=medium

  * postponed end date to 2015-04-30 from 2015-04-15. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 16 Mar 2015 11:38:44 +0800

update-manager (1:0.156.14.18wataugafour58) precise; urgency=medium

  * install oem-atheros-bluetooth-1417476-dkms on pnInspiron3137. 
    (LP: #1417476) 
  * purge old fglrx driver if 14.201 installed. (LP: #1410111) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 04 Mar 2015 18:04:56 +0800

update-manager (1:0.156.14.18wataugafour57) precise; urgency=medium

  * add "1002:6660" PCI ID to special list for fglrx 14.201.  
    (LP: #1410111)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 03 Mar 2015 15:43:37 +0800

update-manager (1:0.156.14.18wataugafour56) precise; urgency=medium

  * migrate Watauga4's update-manager to the new -18 version.
    (LP: #1421473)

  [ Lefteris Nikoltsios ]
  * remove all ltsp* blacklisting (LP: #1415785)

  [ Michael Vogt ]
  * improve HWE support information message in the gtk UI
    (LP: #1402706)
  * consider more meta-packages when doing the apt-get install
    suggestion (LP: #1420217)
  * show unsupported packages if no replacement packages can be found
    (LP: #1341320)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 17 Feb 2015 20:31:16 +0800

update-manager (1:0.156.14.17wataugafour56) precise; urgency=medium

  * use workaround-xhci-quirk-precise-dkms on pnVostro23-3340.
    (LP: #1416209)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 17 Feb 2015 20:31:16 +0800

update-manager (1:0.156.14.17wataugafour55) precise; urgency=medium

  * use isoformat for EOD string. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 03 Feb 2015 16:17:07 +0800

update-manager (1:0.156.14.17wataugafour54) precise; urgency=medium

  * remove "1002:9904" PCI ID from special list for fglrx 14.201.  

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 02 Feb 2015 16:40:15 +0800

update-manager (1:0.156.14.17wataugafour53) precise; urgency=medium

  * bump version.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sun, 01 Feb 2015 01:51:13 +0800

update-manager (1:0.156.14.17wataugafour52) precise; urgency=medium

  * change Fglrx update rules. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 27 Jan 2015 18:37:50 +0800

update-manager (1:0.156.14.17wataugafour51) precise; urgency=medium

  * replace rts5229-dkms with oem-cardreader-rts5229-1409576-dkms.
    (LP: #1409576)
  * add PCI ID "1002:674a" to the list that will use 14.201 fglrx driver.
    (LP: #1411170)
  * add Watauga4 final upgrade message wordings.

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 22 Jan 2015 14:08:02 +0800

update-manager (1:0.156.14.17wataugafour50) precise; urgency=medium

  * augment update-manage rules to cover more AMD gfx PCI IDs
    for 14.201 version. (LP: #1404828) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 17:01:25 +0800

update-manager (1:0.156.14.17wataugafour49) precise; urgency=medium

  * add oem-bluetooth-rtkbtusb-1328352-dkms. (LP: #1402984) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 04:41:22 +0800

update-manager (1:0.156.14.17wataugafour48) precise; urgency=medium

  * add "sutton-bcmwl-kernel-source" rule. (LP: #1406192)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 30 Dec 2014 15:45:32 +0800

update-manager (1:0.156.14.17wataugafour47) precise; urgency=medium

  * disable apport. (LP: #1394126) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 24 Dec 2014 16:23:00 +0800

update-manager (1:0.156.14.17wataugafour46) precise; urgency=medium

  * bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 18:04:05 +0800

update-manager (1:0.156.14.17wataugafour45) precise; urgency=medium

  * repack mt7630e source with oem-dkms-framework.
    oem-wireless-mt76xx-1386997-dkms 
    oem-bluetooth-mt76xx-1386997-dkms 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Sat, 13 Dec 2014 13:28:36 +0800

update-manager (1:0.156.14.17wataugafour44) precise; urgency=medium

  * add other fglrx rules (line 50 in unified DKMS list.) 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 12 Dec 2014 23:59:30 +0800

update-manager (1:0.156.14.17wataugafour43) precise; urgency=medium

  * add some fglrx update rules. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Fri, 12 Dec 2014 18:33:05 +0800

update-manager (1:0.156.14.17wataugafour42) precise; urgency=medium

  * remove nvidia-settings-updates and nvidia-current-updates. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 11 Dec 2014 21:01:39 +0800

update-manager (1:0.156.14.17wataugafour41) precise; urgency=medium

  * install mt7630e-wireless and mt7630e-bluetooth. (LP: #1386997)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 11 Dec 2014 15:52:15 +0800

update-manager (1:0.156.14.17wataugafour40) precise; urgency=medium

  * remove package dw1704-resume-delay. (LP: #1397271)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Tue, 09 Dec 2014 16:17:17 +0800

update-manager (1:0.156.14.17wataugafour39) precise; urgency=medium

  * fix typo and bump version. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 03 Dec 2014 20:12:09 +0800

update-manager (1:0.156.14.17wataugafour38) precise; urgency=medium

  * use nvidia-331-updates to replace nvidia-331. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 03 Dec 2014 17:59:13 +0800

update-manager (1:0.156.14.17wataugafour37) precise; urgency=medium

  * Should not upgrade fglrx
    when only oem-video-fglrx-* package installed. (LP: #1395984)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 03 Dec 2014 12:27:37 +0800

update-manager (1:0.156.14.17wataugafour36) precise; urgency=medium

  * Install broadcom-sta-dkms and broadcom-sta-source. (LP: #1395670) 



=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-apt (>= 0.7.5),
                lsb-release,
                nvidia-common (>= 0.2.11) [i386 amd64], 
-               apt-clone
+               apt-clone (>= 0.2.2ubuntu1)
 Build-Depends-Indep: libxml-parser-perl, 
                      scrollkeeper, 
                      intltool

=== debian/rules ===
#!/usr/bin/make -f

ARCH=all
DIST=$(shell lsb_release -c -s)
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
DH_ARGS=--with=python2
%:
	dh $@ $(DH_ARGS)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
		 ./DistUpgrade/nvidia-obsolete.pkgs ./po/mo

binary: binary-arch binary-indep
binary-indep:
	dh $@ $(DH_ARGS)
	# now the dist-upgrader special tarball
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir -p $(DEBVER)  && \
	   cp $(DIST).tar.gz ./*ReleaseAnnouncement* $(DEBVER) && \
	   tar czvf ../../$(TARNAME) \
	       $(DEBVER)/*ReleaseAnnouncement* \
               $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

## update-manager 0.156.14.19wataugafour61

=== debian/changelog ===
update-manager (1:0.156.14.19wataugafour61) precise; urgency=medium

  * Migrate Watauga4's code to -19 version of update-manager. (LP: #1472840)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Thu, 09 Jul 2015 10:21:18 +0800

update-manager (1:0.156.14.19) precise-proposed; urgency=low

  * fix crash in release upgrader when no official mirror is
    found, thanks to Thomas Reusch for reporting 
    (LP: #1441157)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2015 14:55:50 +0200

## update-manager 0.156.14.20wataugafour62

=== Janitor/Makefile ===
# Makefile for Computer Janitor
# Copyright (C) 2008, 2009  Canonical, Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

all:

check: check-unittests check-has-unit-tests

check-unittests:
	env COMPUTER_JANITOR_UNITTEST=yes LC_ALL=C python -m CoverageTestRunner
	rm -f .coverage

check-has-unit-tests:
	find computerjanitor plugins -name '*.py' ! -name '*_tests.py' | \
	grep -Exv '^computerjanitor/(__init__|ui_gtk).py' | \
	grep -Exv '^plugins/(remove_lilo|check_admin_group)_plugin.py' | \
	grep -Exv '^plugins/(add_nfs_common)_plugin.py' | \
	grep -Exv '^plugins/(kdelibs4to5|langpack_manual)_plugin.py' | \
	grep -Exv '^plugins/(add_nfs_common)_plugin.py' | \
	sed 's/\.py$$//' | \
	while read file; do \
	    [ -e $${file}_tests.py ] || \
	    (echo "Missing unit test: $$file.py"; exit 1); done

clean:
	rm -f computerjanitor/*.py[co] testplugins/*.py[co] .coverage
	rm -rf build $(DESKTOP)

update-po:
	(echo '[encoding: UTF-8]'; \
	 ls computerjanitor/*.py plugins/*.py) > po/POTFILES.in
	python setup.py build_i18n --merge-po --po-dir po

=== tests/Makefile ===
#!/usr/bin/make

all: check # mago_test

check:
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "*** RUNNING $$file"; \
	    	python $$file ; \
	    fi \
	done

mago_test:
	#MAGO_SHARE=./mago/ mago -f basic.xml
	MAGO_SHARE=./mago/ mago --log-level=debug -f basic.xml

=== debian/changelog ===
update-manager (1:0.156.14.20wataugafour62) precise; urgency=medium

  * Migrate Watauga4's code to -20 version of update-manager. (LP: #1472840)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 10 Oct 2016 17:12:20 +0800

update-manager (1:0.156.14.20) precise-proposed; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Sep 2016 09:55:44 -0700

## update-manager 0.156.14.21

=== debian/changelog ===
update-manager (1:0.156.14.21) precise-proposed; urgency=medium

  * No change rebuild so the dist-upgrader tarball will be signed with the new
    method. (LP: #1645906)

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Nov 2016 10:54:24 -0800

update-manager (1:0.156.14.18) precise-proposed; urgency=low

  [ Lefteris Nikoltsios ]
  * remove all ltsp* blacklisting (LP: #1415785)

  [ Michael Vogt ]
  * improve HWE support information message in the gtk UI
    (LP: #1402706)
  * consider more meta-packages when doing the apt-get install
    suggestion (LP: #1420217)
  * show unsupported packages if no replacement packages can be found
    (LP: #1341320)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Feb 2015 17:39:22 +0100

## update-manager 0.156.14.21wataugafour63

=== debian/changelog ===
update-manager (1:0.156.14.21wataugafour63) precise; urgency=medium

  * Migrate Watauga4's code to -21 version of update-manager. (LP: #1472840)

 -- Shengyao Xue <shengyao.xue@canonical.com>  Mon, 12 Dec 2016 02:02:20 +0800

## update-manager 0.156.14.22

=== debian/changelog ===
update-manager (1:0.156.14.22) precise; urgency=medium

  * Make ubuntu-support-status tell users about the ESM archive.
    LP: #1687105.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Apr 2017 13:32:09 -0700

## update-manager 0.174.3

=== debian/changelog ===
update-manager (1:0.174.3) quantal; urgency=low

  * UpdateManager/UpdatesAvailable.py:
    - never pass "None" to xml.sax.saxutils.escape (LP: #1044080)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Oct 2012 10:21:50 +0200

update-manager (1:0.174.2) quantal; urgency=low

  [ Michael Vogt ]
  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

  [ Michael Terry ]
  * Stop showing Install All Available Updates quicklist item when it isn't
    appropriate (LP: #1031307).

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Oct 2012 08:20:44 -0700

update-manager (1:0.174.1) quantal; urgency=low

  * po/POTFILES.in:
    - add missing InstallBackendAptdaemon.py, thanks to Igor Zubarev
      (LP: #1055594)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Sep 2012 09:35:54 +0200

update-manager (1:0.174) quantal; urgency=low

  * UpdateManager/ChangelogViewer.py: improve url parsing of changelog files
    so that more links are created.  Thanks to sampo555 for the patch 
    (LP: #1011093).
  * Add a dependency to update-manager on update-notifier (LP: #1043725) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Sep 2012 09:56:12 -0700

update-manager (1:0.173) quantal; urgency=low

  * Make update-manager-core depend on ubuntu-release-upgrader-core and
    update-manager-kde depend on ubuntu-release-upgrader-qt, so that
    functionality isn't lost on upgrade (LP: #1049062).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2012 12:45:50 +0100

update-manager (1:0.172) quantal; urgency=low

  * Remove dependency on update-notifier as it added many dependencies to
    cloud-images.

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Sep 2012 07:54:26 -0700

update-manager (1:0.171) quantal; urgency=low

  [ Michael Terry ]
  * Fix test suite to pass when run on non-amd64 machine

  [ Brian Murray ]
  * Add a dependency on update-notifier (LP: #1043725) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Sep 2012 12:20:31 -0700

update-manager (1:0.170) quantal; urgency=low

  * When user cancels/stops the apt cache update, still let them
    view available updates from a previous cache update.  LP: #1024909

 -- Michael Terry <mterry@ubuntu.com>  Fri, 24 Aug 2012 19:05:38 -0400

update-manager (1:0.169) quantal; urgency=low

  [ Michael Terry ]
  * Drop Unity-support gir Recommends down to Suggests. LP: #1029764
  
  [ sampo555 ]
  * lp:~sampo555/update-manager/fix-for-1031280:
    - Convert SystemError into string in order to avoid TypeError in
      UpdateManager.refresh_cache SystemError handles. Fixes LP: #1031280

  [ Robert Park ]
  * Allow test suite to not need to be run as root
  
  [ Michael Vogt ]
  * lp:~mvo/update-manager/phased-updates:
    - Implement the client part of the "foundations-q-phased-updates".
      This allows to deploy updates in phases where only a subset of
      the users will get a update, controlled via the 
      Phased-Updates-Percentage tag in the Packages file.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Aug 2012 09:21:32 +0200

update-manager (1:0.168) quantal; urgency=low

  * Run tests under xvfb and don't try to use non-existant python3-coverage
  * Don't throw exception on socket timeout when downloading metarelease
    file.  LP: #818760

 -- Michael Terry <mterry@ubuntu.com>  Mon, 23 Jul 2012 07:17:00 +0200

update-manager (1:0.167) quantal; urgency=low

  * Rebuild to get python3 wrapper script (LP: #1023474)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Jul 2012 09:28:45 -0400

update-manager (1:0.166) quantal; urgency=low

  [ Colin Watson ]
  * Write metarelease file as UTF-8 (LP: #1020526)

  [ Michael Terry ]
  * Use a wrapper script of /bin/sh when calling pkexec, to workaround its
    requirement that the ppid not be 1.  (LP: #1020115)
  * Update Unity badge count before showing "please restart" dialog
  * Don't allow closing the "please restart" dialog via window manager
  * Show "please restart" dialog on startup if needed, instead of only
    after installing some updates

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2012 11:39:44 +0100

update-manager (1:0.165) quantal-proposed; urgency=low

  * Implementation of "update on start" feature from spec
    https://wiki.ubuntu.com/SoftwareUpdates
  * Use a single main window that changes instead of having modal dialogs
  * Implement several special-purpose dialogs like "No updates" or
    "Dist upgrade needed" accordingn to the above spec
  * Split out release upgrader code and DistUpgrade module into a separate
    source package
  * Drop python-update-manager, as it is unused
  * debian/tests:
    - Add dep8 tests

 -- Michael Terry <mterry@ubuntu.com>  Fri, 29 Jun 2012 10:59:30 -0400

update-manager (1:0.164) quantal; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: ensure package install failures are
    tagged dist-upgrade

  [ Robert Roth ]
  * UpdateManager/UpdateManager.py: check for None type from
    get_last_update_minutes (LP: #1013325)

  [ Colin Watson ]
  * DistUpgrade/NvidiaDetector, debian/control: Update symlink to Python 3
    version, available as of ubuntu-drivers-common 1:0.2.55.
  * debian/rules: Make sure to run setup.py with the default python3 last,
    so that scripts get correct #! lines.

  [ Barry Warsaw ]
  * pre-build.sh:
    - Add python-gi as an explicit dependency.
    - python3-mock is required.
  * setup.py:
    - Fix the installation of the janitor.plugincore package for Python 3.
      (LP: #1013490)
    - Calculate the setup() version number from debian/changelog.
    - Remove package_dir since it's not actually needed.
    - Whitespace normalization.
  * tests/Makefile
    - Add sleep between Python 2 and Python 3 invocation of tests under
      xvfb-run, otherwise I get crashes where xvfb doesn't come up.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 21 Jun 2012 20:42:23 -0400

update-manager (1:0.163) quantal; urgency=low

  [ Colin Watson ]


## update-manager 0.174.4

=== debian/changelog ===
update-manager (1:0.174.4) quantal-proposed; urgency=low

  * UpdateManager/Dialogs.py:
    - Allow upgrading to a development release again, by passing arguments
      like -d on to do-release-upgrade.  (LP: #1097907)
  * tests/test_upgrade.py:
    - Test for above

 -- Michael Terry <mterry@ubuntu.com>  Tue, 15 Jan 2013 09:58:35 -0500

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python3-all,
               python3-distutils-extra,
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               apt-clone (>= 0.2.3~ubuntu1)
Build-Depends-Indep: libxml-parser-perl, 
                     scrollkeeper, 
                     intltool
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
XS-Testsuite: autopkgtest
X-Python3-Version: >= 3.2

Package: update-manager-core
Architecture: all
Section: admin
Depends: ${python3:Depends},
         ${misc:Depends}, 
         python3-update-manager (= ${source:Version}),
         lsb-release,
         ubuntu-release-upgrader-core
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.146.2)
Breaks: update-manager (<< 1:0.146.2), 
        computer-janitor (<= 1.11-0ubuntu1)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader

Package: python3-update-manager
Architecture: all
Section: python
Replaces: update-manager-core (<< 1:0.163)
Breaks: update-manager-core (<< 1:0.163)
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-apt (>= 0.8.5~),
         python3-distupgrade,
         lsb-release
Description: python 3.x module for update-manager
 Python module for update-manager (UpdateManager).
 .
 This package contains the python 3.x version of this module.

Package: update-manager
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, 
         update-manager-core (= ${source:Version}),
         python3-aptdaemon.gtk3widgets (>= 0.40) | synaptic, 
         policykit-1,
         python3-dbus,
         python3-gi,
         gir1.2-vte-2.90, 
         gir1.2-gtk-3.0,
         ubuntu-release-upgrader-gtk,
         update-notifier
Recommends: software-properties-gtk (>= 0.71.2), 
Suggests: gir1.2-dbusmenu-glib-0.4,
          gir1.2-unity-5.0,
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

Package: update-manager-text
Architecture: all
Section: admin
Depends: ${python3:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python3-newt
Description: Text application that manages apt updates
 This is the newt apt update manager.  It checks for updates and lets the user
 choose which to install.

Package: update-manager-kde
Architecture: all
Section: kde
Depends: ${python3:Depends}, 
         ${misc:Depends}, 
         update-manager-core, 
         python3-pykde4, 
         kdesudo,
         psmisc,
         ubuntu-release-upgrader-qt
Description: Support modules for Muon Notifier and Apper
 Support modules for Muon Notifier and Apper to check for new distro releases 
 and download the dist-upgrade tool.

=== debian/rules ===
#!/usr/bin/make -f

PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ --with=python3

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(PY3); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

=== debian/tests/control ===
Tests: nose-tests
Depends: @, python3-mock, python3-nose, xvfb

## update-manager 0.174.5

=== debian/changelog ===
update-manager (1:0.174.5) quantal-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py: support upgrades from Quantal to Saucy
    because Raring is becoming End of Life before Quantal (LP: #1258639)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Dec 2013 12:39:35 -0800
